Package org.gradle.process

# Interface ExecResult

public interface ExecResult
Represents the result of running an external process.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExecResult`
  `assertNormalExitValue()`
  Throws a `ProcessExecutionException` if the process exited with a non-zero exit value.
  `int`
  `getExitValue()`
  Returns the exit value of the process.
  `ExecResult`
  `rethrowFailure()`
  Re-throws any failure executing this process.

- ## Method Details

  - ### getExitValue

    int getExitValue()
    Returns the exit value of the process.

  - ### assertNormalExitValue

    ExecResult assertNormalExitValue() throws ProcessExecutionException
    Throws a `ProcessExecutionException` if the process exited with a non-zero exit value.
    Returns:
      this
    Throws:
      `ProcessExecutionException` - if the process exited with a non-zero exit value

  - ### rethrowFailure

    ExecResult rethrowFailure() throws ProcessExecutionException
    Re-throws any failure executing this process.
    Returns:
      this
    Throws:
      `ProcessExecutionException` - the execution failure